COD2RDF(1)

NAME
cod2rdf - describe (in RDF format) properties of COD structures.

SYNOPSIS
cod2rdf --options 1000000 "[1-9][0-9]6"

DESCRIPTION
Describe (in RDF format) properties of COD structures.

OPTIONS
-d, --database cod
                  Use database "cod" to query for structures.

-h, --host www.crystallography.net

-s, --server www.crystallography.net
                  Query COD database on the host 'www.crystallography.net'.

-l, --localhost
                  Use database server on the localhost to query the
                  COD database.

-p, --port 3306
                  Use the specified port to query structures
                  (default: 3306).

--platform mysql
                  Use specified SQL platform (default: 'mysql').

-u, --user cod_reader
                  Use user name "cod_reader" to access the COD database.
                  This user should have at least the SELECT privilege,
                  i.e. should be able to read the COD database, without
                  supplying a password.

--password
                  Use the specified password to connect (default: '').

--vocabulary-namespace cod
                  Use vocabulary namespace "cod" to prefix properties
                  native to the queried database.

--vocabulary-url-prefix http://www.crystallography.net/cod/doc/rdf/
                  Specify URL prefix for database's native namespace.

--prefix, --db-url-prefix http://www.crystallography.net/cod/
                  Specify URL prefix for all objects in the queried
                  database.

--postfix, --db-url-postfix .html
                  Specify URL postfix for all objects in the queried
                  database.

--def-table, --definition-table databases
                  Look "databases" table for descriptions of remote
                  databases.

--db-name, --database-name cod
                  Use "cod" as the abbreviation of queried databases.
                  This abbreviation is used in construction of
                  cross-referencing table names, i.e. "pubchem_x_cod".

--from
                  Generate RDFs for all database entries starting at
                  specified entry and ending at either the entry
                  specified using '--to' command line option or the
                  last entry in the database.

--to
                  Generate RDFs for all database entries from either the
                  entry specified using '--from' command line option or
                  the first entry in the database.

--range
                  Generate RDFs for all database entries in the specified
                  range. Range should be specified in the form 'X-Y', where
                  X is the first and Y is the last entry.

--revision
                  Generate RDFs for all database entries deposited in the
                  specified or older Subversion revision of the database.

--split-author-names
                  Split author names in internal database representation
                  at semicolons (';') to produce RDF-parsable list of
                  author names. Each author in such list is marked with
                  "author" property instead of "authors", which is used
                  for non-split value (default).

--no-split-author-names, --dont-split-author-names
                  Make no assumptions about internal database
                  representation of author list.

--xml-output
                  Output RDF in XML carrier format (default).

--n3-output
                  Output RDF in N3 (Notation3) carrier format.

--turtle-output
                  Output RDF in Turtle carrier format.

--ntriples-output, --n-triples-output
                  Output RDF in N-Triples carrier format.

--replace-utf-codepoints-from
                  Replace Unicode code points starting at specified point
                  with carrier format-specific entities.

--no-replace-utf-codepoints, --dont-replace-utf-code-points
                  Leave Unicode code points unescaped (default).

--html-utf-escapes
                  Escape Unicode code points using HTML hexadecimal format
                  corresponding to '&#x%04X;' formatted string (default).

--internal-utf-escapes
                  Escape Unicode code points using internal format
                  corresponding to '\u%04X' formatted string.

--utf-escape-format
                  Escape Unicode code points using format corresponding
                  to the provided formatted string.

--help, --usage
                  Output a short usage message (this message) and exit.

--version
                  Output version information and exit.

REPORTING BUGS
Report cod2rdf bugs using e-mail: cod-bugs@ibt.lt